package com.caimei.service.search;

import com.caimei.entity.CmMallOrganizeProducts;
import com.caimei.entity.CmMallProductLadderPrice;
import com.caimei.entity.CmMallProductSearchHistory;

import java.util.List;

public interface SearchService {
    List<CmMallOrganizeProducts> searchProduct(Integer organizeID, String searchWord);

    void deleteProductRecord(Integer organizeID, String openID);

    void saveProductRecord(Integer organizeID, String searchWord, String openID);

    List<CmMallProductSearchHistory> findProductRecord(Integer organizeID, String openID);

    CmMallProductLadderPrice findLadderPrice(Integer id);

    void deleteRecord(Integer organizeID, String openID);

    CmMallProductSearchHistory findAllProductRecord(Integer organizeID, String searchWord, String openID);

    void updateProductRecord(Integer organizeID, String searchWord, String openID);
}
